Bug 901327 (JBPAPP6-1795) - <vault> does not have module option
Summary: <vault> does not have module option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JBPAPP6-1795
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: EAP 6.3.0
Assignee: Peter Skopek
QA Contact:
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-17 00:13 UTC by James Livingston
Modified: 2018-12-06 14:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-23 06:10:59 UTC
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker EAP6-190 Major Closed <vault> does not have module option 2017-04-03 04:40:56 UTC
Red Hat One Jira Issue Tracker JBPAPP6-1795 Major Closed <vault> does not have module option 2017-04-03 04:40:56 UTC
Red Hat One Jira Issue Tracker PRODMGT-757 Major Closed <vault> does not have module option 2017-04-03 04:40:56 UTC
Red Hat One Jira Issue Tracker WFLY-3118 Major Closed <vault> does not have module option 2017-04-03 04:40:56 UTC

Description James Livingston 2013-01-17 00:13:44 UTC
Help Desk Ticket Reference: https://c.na7.visual.force.com/apex/Case_View?id=500A000000CReKQ&sfdc.override=1
project_key: JBPAPP6

The <vault> element in standalone/domain.xml takes a 'code' attribute specifying the class to use as the implementation. It does not let you specify a 'module' option like most similar elements have, and instead always loads the class from the org.picketbox module.

The <vault> element should take a module option too.

Comment 1 James Livingston 2013-01-17 00:14:51 UTC
Link: Added: This issue incorporates AS7-6345


Comment 8 JBoss JIRA Server 2014-03-17 21:41:19 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-922 to Resolved

Comment 9 JBoss JIRA Server 2014-03-29 17:12:32 UTC
Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-3118 to Closed

Comment 10 Jimmy Wilson 2015-04-23 06:10:59 UTC
This was resolved in EAP 6.3.  I'm closing this BZ.

Comment 11 JBoss JIRA Server 2015-04-28 15:09:31 UTC
John Doyle <jdoyle@jboss.org> updated the status of jira EAP6-190 to Closed


Note You need to log in before you can comment on or make changes to this bug.